%define prefix /usr
%define name xcompmgr-tools
%define version 0.04
%define release %mkrel 2
%define url www.pclinuxos.com

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphical desktop/LXDE
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Summary:	Simple scripts to start, and manage xcompmgr
Summary(de):	Einfache Scripte zum starten und verwalten von xcompmgr
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	xcompmgr yad bash gtkdialog
Obsoletes:	%name < %version

%description
%{summary}.
xcompmgr_start will start the composite in your LXDE, and other DE's.
It's checks first if direct rendering available.
If all checks ok, it will start xcompmgr.

xcompmgr_settings is a simple gui to manage xcompmgr commands.

First start will use
Xcompmgr settings from LKJ.

Note: this tools will correctly work only for current 
users, not system wide.


#german
%description -l de
%{summary}.
xcompmgr_start startet Composite in LXDE und andere DE's.
Als erstes wird die Direct Rendering geprüft.
Sind alle Test erfolgreich, startet es xcompmgr.

xcompmgr_settings ist ein einfaches GUI zum verwalten der
xcompmgr Befehle.

Beim ersten start werden die
Xcompmgr Einstellungen von LKJ genutzt.

Anmerkung: diese Tools funktionieren nur für den jeweiligen Benutzer, 
nicht Systemweit. 



%prep

%setup -q -n %{name}-%{version}


%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 xcompmgr_start xcompmgr_settings $RPM_BUILD_ROOT%{_bindir}

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 xcompmgr.png %{buildroot}%{_datadir}/pixmaps/xcompmgr.png

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
convert -scale 32x32 xcompmgr.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/xcompmgr.png


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/xcompmgr_start.desktop << EOF
[Desktop Entry]
Name=xcompmgr-start
Name[de]=xcompmgr-start
Comment=start xcompmgr now
Comment[de]=Startet xcompmgr jetzt
Exec=%{_bindir}/xcompmgr_start
Icon=xcompmgr.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Configuration
Encoding=UTF-8
EOF

cat > %{buildroot}%{_datadir}/applications/xcompmgr_settings.desktop << EOF
[Desktop Entry]
Name=xcompmgr-settings
Name[de]=xcompmgr-Einstellungen
Comment=manage xcompmgr settings
Comment[de]=Verwaltet xcompmgr Einstellungen
Exec=%{_bindir}/xcompmgr_settings
Icon=xcompmgr.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Configuration
Encoding=UTF-8
EOF

mkdir -p %{buildroot}%{_datadir}/locale/de/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/xcompmgr_start.mo $RPM_BUILD_DIR/%{name}-%{version}/po/xcompmgr_start-de_DE.po
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/xcompmgr_settings.mo $RPM_BUILD_DIR/%{name}-%{version}/po/xcompmgr_settings-de_DE.po

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/xcompmgr_start
%{_bindir}/xcompmgr_settings
%{_datadir}/applications/xcompmgr_start.desktop
%{_datadir}/applications/xcompmgr_settings.desktop
%{_datadir}/pixmaps/xcompmgr.png
%{_datadir}/icons/hicolor/*/apps/xcompmgr.png
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/xcomp-%{version}

%changelog
* Tue Oct 02 2012 Neal <nealbrks0 at gmail dot com> 0.04-2pclos2012
- process

* Mon Oct 01 2012 daniel <meisssw01 at gmail.com> 0.04-2leiche2012
- rebuild for latest gtkdialog
- changes some commands

* Mon Jul 16 2012 leiche <meisssw01 at gmail.com> 0.04-1leiche2012
- add entry line
- add autostart function
- remove check for only lxde, can now use for other DE's, too
- add checking for running compton 

* Sat Jul 14 2012 leiche <meisssw01 at gmail.com> 0.03-2leiche2012
- fix start problems by using lxde-rc.xml file
 
* Wed Jul 11 2012 leiche <meisssw01 at gmail.com> 0.03-1leiche2012
- add display for current settings
- add german translation ( translated by ghostbunny)

* Mon Jul 09 2012 leiche <meisssw01 at gmail.com> 0.02-3leiche2012
- add default setting
- corrected starter
 
* Mon Jul 09 2012 leiche <meisssw01 at gmail.com> 0.02-2leiche2012
- add advanced setting in xcompmgr_settings

* Sun Jul 08 2012 leiche <meisssw01 at gmail.com> 0.02-1leiche2012
- add xcompmgr_settings

* Sat Jul 07 2012 leiche <meisssw01 at gmail.com> 0.01-1leiche2012
- create package for pclinuxos
